--[[ Глава 3, часть 1. ]]

game_level_hints.levels["Chapter03_01"] = function()
	return 
    {
		miniscenes({
			sun_temple_present = 
            {
				on_scene("sun_temple_past", click("gui_amulet_temple_past"))
			},
			sun_temple_past = 
            {
				on_scene("sun_temple_present", click("gui_amulet_temple_present")),
				on_scene("miniscene_roof", end_level("area_to_temple_hint")),
				on_scene("miniscene_roof", end_level("area_to_temple_"))
			},
			miniscene_altar =
			{
				on_scene("sun_temple_past", miniscene("area_opened_altar")),
				IF(hidden("cap_closed"), miniscene("area_altar_past"))
			}
		}),
        
		on_scene("sun_temple_past", 
        {
			IF({hidden("clip_spiders_coming"), hidden("clip_lamps_light")}, click("area_closed_sun")), --тыкнуть на солныфко, чтоб появились пауки
			IF(NOT(hidden("clip_spiders_coming")), take("Staff")) -- взять жезл
		}), 
		
		on_scene("sun_temple_present", 
        {
			IF({on_level("Straw"), NOT(hidden("clip_spiders_coming"))}, take("Straw", "area_straw")),
			take("Rope", "rope_to_cut"),
			IF(NOT(hidden("rope_to_cut")), click("rope_to_cut", "Knife")), -- чтоб подсвечивалось при наведении ножа на веревку
			IF(NOT(hidden("rope_to_cut")), click("area_ropes", "Knife")), -- чтоб подсвечивалось при наведении ножа на веревку
			click("area_cable", "Torch"),
			IF(in_inv("Torch"), take("Burning_torch", "area_cable")),
			IF(removed("Burning_torch"), take("Bottle"))
		}),
		
		on_scene("sun_temple_past", 
        {
			IF(hidden("clip_lamps_light"), click("area_for_fire01", "Burning_torch")), -- зажечь огонь в лампадках
			IF(hidden("clip_lamps_light"), click("area_for_fire02", "Burning_torch")), 
			IF(hidden("clip_spiders_coming"), take("Bowl")) -- взять чашу из-под солнца
		}), 
		
		on_scene("sun_temple_present", 
		{
			click("area_cable", "Bowl_with_water"), -- починить свет
			IF(disabled("Stone01"), click("area_stone01")) -- заметить камни, торчащие из стен
		}),
		
		on_scene("sun_temple_past", 
        {
		-- открыть три золотые пластины
			IF(state("Stone01", "stone01_01"), click("Stone01", "Crowbar")),
			IF(state("Stone02", "stone02_01"), click("Stone02", "Crowbar")),
			IF(state("Stone03", "stone03_01"), click("Stone03", "Crowbar")),
			IF(hidden("clip_door_open"), minigame("area_hole_past")),
			IF(NOT(hidden("clip_door_open")), end_level("area_to_mortars")), -- войти в зал ступок
			minigame("area_roof")
		})
		
	}
end 
